POST api/poolapi/add?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
PoolViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
Required |
|
| description | string |
Required String length: inclusive between 0 and 250 |
|
| id | globally unique identifier |
None. |
|
| site_id | globally unique identifier |
Required |
Request Formats
application/json, text/json
Sample:
{
"active": true,
"description": "sample string 2",
"id": "5948f256-9599-4360-8838-0aa7b0ace419",
"site_id": "9ecd9f3e-5eeb-4363-b870-3b00893751b3"
}
application/xml, text/xml
Sample:
<pool xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <description>sample string 2</description> <id>5948f256-9599-4360-8838-0aa7b0ace419</id> <site_id>9ecd9f3e-5eeb-4363-b870-3b00893751b3</site_id> </pool>
application/x-www-form-urlencoded
Sample:
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"1aebcf60-74ef-475a-8a2a-8b5e1842b7fc"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">1aebcf60-74ef-475a-8a2a-8b5e1842b7fc</guid>